MONGOC_STREAM_UNCORK(3)

NAME
mongoc_stream_uncork() - This function shall allow a previously corked socket to pass bytes to the underlying socket.

SYNOPSIS

int
mongoc_stream_uncork (mongoc_stream_t *stream);

PARAMETERS

stream
    A mongoc_stream_t \&.

This function shall allow a previously corked socket to pass bytes to the underlying socket.

NOTE
    Not all streams implement this function. Buffering generally works better.

RETURNS

0 on success, -1 on failure and errno is set.

SEE ALSO

mongoc_stream_buffered_new(3) \&.

mongoc_stream_cork(3) \&.

COLOPHON
This page is part of MongoDB C Driver. Please report any bugs at https://jira.mongodb.org/browse/CDRIVER.